use std::io;
use std::net::{SocketAddr, TcpStream};

use crate::tcp_server::TcpServer;

mod epoll;
mod tcp_server;
mod client;

fn main() -> io::Result<()> {
    let addr = SocketAddr::from(([127, 0, 0, 1], 4433));
    let mut server = TcpServer::new(addr)?;

    server.listen()?;

    Ok(())
}
